#include <bits/stdc++.h>

using namespace std;
struct trojka{
    int x,y,d;
};
const int MAXN = 5e4;
int a[MAXN], b[MAXN], c[MAXN], d[MAXN];
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n,m;
    cin>>n>>m;
    for(int i = 0; i<n; i++){
        cin>>a[i]>>b[i];
    }
    for(int i = 0; i<m; i++){
        cin>>c[i]>>d[i];
    }
    int suma=0, k=0;
    queue<trojka> ispis;
    for(int i = 0; i<n; i++){
        for(int j = 0; j<m; j++){
            if(b[i]<=0){
                break;
            }
            int x = min(b[i],d[j]);
            if(x>0){
                suma+=x;
                k++;
                ispis.push({i+1,j+1,x});
                b[i]-=x;
                d[j]-=x;
            }
        }
    }
    cout<<suma<<"\n";
    cout<<k<<"\n";
    while(!ispis.empty()){
        trojka t = ispis.front();
        cout<<t.x<<" "<<t.y<<" "<<t.d<<"\n";
        ispis.pop();
    }
    return 0;
}